## emacs-jedi 0.2.7

=== Makefile ===
ENV = env

VIRTUALENV_SYSTEM_SITE_PACKAGES ?= true
VIRTUALENV = \
	VIRTUALENV_SYSTEM_SITE_PACKAGES=$(VIRTUALENV_SYSTEM_SITE_PACKAGES) \
		virtualenv --python=$(PYTHON)
PIP_INSTALL = $(ENV)/$(BINDIR)/pip install
JEDI_DEV_URL = https://github.com/davidhalter/jedi/archive/dev.zip

PYTHON ?= python
CASK ?= cask
export EMACS ?= emacs

BINDIR ?= bin

ELPA_DIR = \
	.cask/$(shell ${EMACS} -Q --batch --eval '(princ emacs-version)')/elpa
# See: cask-elpa-dir

VIRTUAL_EMACS = ${CASK} exec ${EMACS} -Q \
--eval "(setq python-environment--verbose t)" \
--eval "(setq jedi:environment-root \"$(PWD)/$(ENV)\")"

.PHONY : test test-1 tryout clean-elpa requirements env clean-env clean \
	print-deps travis-ci doc

TEST_DEPS = elpa env
test: ${TEST_DEPS}
	${MAKE} test-1

test-1:
	${VIRTUAL_EMACS} -batch \
		-L . -l test-jedi.el -f ert-run-tests-batch-and-exit
	tox

compile: elpa clean-elc
	${VIRTUAL_EMACS} -batch \
		-L . -f batch-byte-compile *.el

clean-elc:
	rm -rf *.elc

tryout: compile env
	${VIRTUAL_EMACS} -L . -l tryout-jedi.el

doc: elpa
	make -C doc html

ensure-git:
	test -d .git  # Running task that can be run only in git repository

elpa: ${ELPA_DIR}
${ELPA_DIR}: Cask
	${CASK} install
	test -d $@
	touch $@


clean-elpa:
	rm -rf ${ELPA_DIR}

requirements:
	@echo "**************************************************************"
	@echo "    ERROR: \"make requirements\" is obsolete!"
	@echo "    Please run \"M-x jedi:install-server\" inside of your Emacs."
	@echo "    * If you are using el-get, please update it first."
	@echo "      See also: https://github.com/dimitri/el-get/pull/1603"
	@echo "**************************************************************"
	@exit 1

install-jedi-dev:
	${PIP_INSTALL} --upgrade ${JEDI_DEV_URL}

env: $(ENV)/$(BINDIR)/jediepcserver
$(ENV)/$(BINDIR)/jediepcserver: ${ELPA_DIR} jediepcserver.py setup.py
	${VIRTUAL_EMACS} -batch -L . -l jedi.el -f "jedi:install-server-block"
	test -f $@

clean-env:
	rm -rf $(ENV)

clean-el: clean-elpa clean-elc
clean: clean-env clean-el
	rm -rf .cask

print-deps: elpa env
	@echo "----------------------- Dependencies -----------------------"
	$(EMACS) --version
	${VIRTUAL_EMACS} -batch -L . -l jedi.el -f jedi:print-jedi-version
	-ls -d $(ENV)/*/python*/site-packages/*egg-info
	@echo "------------------------------------------------------------"

before-test: ${TEST_DEPS}
	tox --notest

travis-ci: print-deps test
	test ! -d ~/.emacs.d/.python-environments



# Run test against Emacs listed in ${EMACS_LIST}.
# This is for running tests for multiple Emacs versions.
# This is not used in Travis CI.  Usage::
#
#     make EMACS_LIST="emacs emacs-snapshot emacs23" test-all
#
# See: http://stackoverflow.com/a/12110773/727827
#
# Use ${MET_MAKEFLAGS} to do the tests in parallel.
#
#    MET_MAKEFLAGS=-j4

JOBS := $(addprefix job-,${EMACS_LIST})
.PHONY: ${JOBS}

${JOBS}: job-%:
	${MAKE} EMACS=$* clean-elc elpa
	${MAKE} EMACS=$* ${MET_MAKEFLAGS} test-1

test-all: env ${JOBS}



### Packaging
#
# Create dist/${PACKAGE}-${VERSION}.tar.gz ready for distribution.
#
# See: (info "(elisp) Multi-file Packages")
PACKAGE = jedi
VERSION = $(shell grep ';; Version:' jedi.el | sed 's/^.* \([0-9].*\)$$/\1/')
DIST_FILES = jedi-pkg.el jedi.el jediepcserver.py \
	Makefile tryout-jedi.el

.PHONY: dist ${PACKAGE}-${VERSION}.tar.gz ${PACKAGE}-${VERSION} \
	clean-dist clean-dist-all

dist: clean-dist
	${MAKE} dist-1

dist-1: dist/${PACKAGE}-${VERSION}.tar dist/${PACKAGE}-${VERSION}.tar.gz

dist/${PACKAGE}-${VERSION}.tar: ${PACKAGE}-${VERSION}.tar
${PACKAGE}-${VERSION}.tar: ${PACKAGE}-${VERSION}
	tar --directory dist -cvf dist/$@ $<

dist/${PACKAGE}-${VERSION}.tar.gz: ${PACKAGE}-${VERSION}.tar.gz
${PACKAGE}-${VERSION}.tar.gz: ${PACKAGE}-${VERSION}
	tar --directory dist -cvzf dist/$@ $<

${PACKAGE}-${VERSION}: dist/${PACKAGE}-${VERSION}
dist/${PACKAGE}-${VERSION}:
	mkdir -p $@
	cp -v ${DIST_FILES} $@

clean-dist:
	rm -rf dist/${PACKAGE}-${VERSION}*

clean-dist-all:
	rm -rf dist



### Package installation
PACKAGE_USER_DIR =
TEST_PACKAGE_DIR = dist/test

install-dist:
	test -d '${PACKAGE_USER_DIR}'
	${EMACS} --batch -Q \
	-l package \
        --eval " \
        (add-to-list 'package-archives \
             '(\"marmalade\" . \"http://marmalade-repo.org/packages/\") t)" \
	--eval '(setq package-user-dir "${PWD}/${PACKAGE_USER_DIR}")' \
	--eval '(package-list-packages)' \
	--eval '(package-install-file "${PWD}/dist/${PACKAGE}-${VERSION}.tar")'

test-install: dist/${PACKAGE}-${VERSION}.tar
	rm -rf ${TEST_PACKAGE_DIR}
	mkdir -p ${TEST_PACKAGE_DIR}
	${MAKE} install-dist PACKAGE_USER_DIR=${TEST_PACKAGE_DIR}

test-install-requirement: test-install
	${MAKE} --directory ${TEST_PACKAGE_DIR}/${PACKAGE}-${VERSION} \
		requirements



### GH pages
MAKE_GH_PAGES = $(MAKE) --directory doc --file gh-pages.mk

gh-pages-latest:
	$(MAKE_GH_PAGES)

# Publish released documentation.  This task can be run only when the
# current revision has tag (i.e., released).
gh-pages-released:
	# Make sure it's on tag
	git describe --tags --dirty | grep -v -
	# Run doc/gh-pages.mk
	$(MAKE_GH_PAGES) DOC_VER=released

=== debian/changelog ===
emacs-jedi (0.2.7-3) unstable; urgency=medium

  * Migrate to dh 12 without d/compat
  * d/control: Drop python2 dependencies (Closes: #936476)
  * d/control: Drop emacs25 from Enhances
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Sep 2019 15:55:56 +0500

emacs-jedi (0.2.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 31 Aug 2019 10:04:30 -0300

emacs-jedi (0.2.7-1) unstable; urgency=medium

  * Initial release (Closes: #829589)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 13 Jul 2018 22:14:31 +0500

=== debian/control ===
Source: emacs-jedi
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa,
               elpa-auto-complete,
               elpa-epc,
               elpa-mocker,
               elpa-python-environment,
               python3,
               python3-jedi,
               virtualenv
Standards-Version: 4.4.0
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/tkf/emacs-jedi
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-jedi
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-jedi.git

Package: elpa-jedi-core
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         python3,
         python3-jedi,
         virtualenv
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: common code of jedi.el and company-jedi.el
 The package provides a Python auto-completion package for Emacs. It
 aims at helping your Python coding in a non-destructive way. It also
 helps you to find information about Python objects, such as docstring,
 function arguments and code location.
 .
 This package contains common code of jedi.el and company-jedi.el.

Package: elpa-jedi
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Python auto-completion for Emacs
 The package provides a Python auto-completion package for Emacs. It
 aims at helping your Python coding in a non-destructive way. It also
 helps you to find information about Python objects, such as
 docstring, function arguments and code location.
 .
 This package contains jedi.el, which relies on auto-complete.el.

## emacs-jedi 0.2.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ENV = env
+ENV = $(PWD)/env
 
 VIRTUALENV_SYSTEM_SITE_PACKAGES ?= true
 VIRTUALENV = \
@@ -13,13 +13,13 @@
 
 BINDIR ?= bin
 
-ELPA_DIR = \
-	.cask/$(shell ${EMACS} -Q --batch --eval '(princ emacs-version)')/elpa
+ELPA_DIR = $(shell EMACS=$(EMACS) $(CASK) package-directory)
+
 # See: cask-elpa-dir
 
 VIRTUAL_EMACS = ${CASK} exec ${EMACS} -Q \
 --eval "(setq python-environment--verbose t)" \
---eval "(setq jedi:environment-root \"$(PWD)/$(ENV)\")"
+--eval "(setq jedi:environment-root \"$(ENV)\")"
 
 .PHONY : test test-1 tryout clean-elpa requirements env clean-env clean \
 	print-deps travis-ci doc
@@ -72,9 +72,11 @@
 	${PIP_INSTALL} --upgrade ${JEDI_DEV_URL}
 
 env: $(ENV)/$(BINDIR)/jediepcserver
-$(ENV)/$(BINDIR)/jediepcserver: ${ELPA_DIR} jediepcserver.py setup.py
-	${VIRTUAL_EMACS} -batch -L . -l jedi.el -f "jedi:install-server-block"
-	test -f $@
+$(ENV)/$(BINDIR)/jediepcserver: setup.py
+	${VIRTUAL_EMACS} -batch -L . -l jedi.el \
+		--eval "(setq jedi:install-server--command '(\"pip\" \"install\" \"--editable\" \"$(PWD)\"))" \
+		-f "jedi:install-server-block"
+	test -x $@
 
 clean-env:
 	rm -rf $(ENV)

=== debian/changelog ===
emacs-jedi (0.2.8-1) unstable; urgency=medium

  * New upstream version 0.2.8
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Add dependencies on python3-{epc,sexpdata}
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 10 Dec 2019 21:18:25 +0500

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,12 @@
                elpa-mocker,
                elpa-python-environment,
                python3,
+               python3-epc,
                python3-jedi,
+               python3-sexpdata,
                virtualenv
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/tkf/emacs-jedi
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-jedi
@@ -23,7 +26,9 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          python3,
+         python3-epc,
          python3-jedi,
+         python3-sexpdata,
          virtualenv
 Recommends: emacs (>= 46.0)
 Enhances: emacs

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-jedi-$1.tar.gz%" \
             https://github.com/tkf/emacs-jedi/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-jedi 0.2.8%2Bgit20220410.81c5a42

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle \
	json htmlhelp qthelp devhelp epub latex latexpdf \
	text man changes linkcheck doctest gettext \

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*/*

html: releases
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/EmacsJedi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/EmacsJedi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/EmacsJedi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/EmacsJedi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."



## Generate contributions list
RELEASES = $(wildcard source/releases/v*)
RELEASES_AUTHORS = $(addsuffix /authors.txt, $(RELEASES))
RELEASES_CLOSED = $(addsuffix /closed.txt, $(RELEASES))
ISSUE_URL = https://github.com/tkf/emacs-jedi/issues

.PHONY: releases FORCE

releases: $(RELEASES_AUTHORS) $(RELEASES_CLOSED)

source/releases/%/authors.txt: source/releases/%/range Makefile
	git log --format='format:%an' $$(cat $<) \
		| grep --invert-match "Takafumi Arakaki" \
		| sort --unique \
		| sed 's/\(.*\)/- `\1`_/' \
		> $@

source/releases/%/closed.txt: source/releases/%/range Makefile
	git log --format='format:%s %b' --grep='#[0-9]\+' $$(cat $<) \
		| grep -e 'fix\(es\)\?' -e 'pull request' \
		| grep --extended-regexp --only-matching '#[0-9]+' \
		| grep --extended-regexp --only-matching '[0-9]+' \
		| sort --unique \
		| sort --numeric-sort \
		| sed 's%\(.*\)%`#\1 <$(ISSUE_URL)/\1>`_%' \
		> $@

# Run these two targets unconditionally.  See (info "(make) Force Targets")
# Since source/releases/v0.2.0/range has no end, the result may differ
# every time they are run.
# To skip these targets, run make with "RELEASES=".
source/releases/v0.2.0/authors.txt: FORCE
source/releases/v0.2.0/closed.txt: FORCE

# Load other makefiles.  See: (info "(make) Include")
include *.mk

## emacs-jedi 0.2.8+git20220410.81c5a42

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 # See: cask-elpa-dir
 
 VIRTUAL_EMACS = ${CASK} exec ${EMACS} -Q \
---eval "(setq python-environment--verbose t)" \
 --eval "(setq jedi:environment-root \"$(ENV)\")"
 
 .PHONY : test test-1 tryout clean-elpa requirements env clean-env clean \

=== debian/changelog ===
emacs-jedi (0.2.8+git20220410.81c5a42-1) unstable; urgency=medium

  [ Lev Lamberov ]
  * QA upload
  * New upstream version 0.2.8+git20220410.81c5a42
  * Declare Standards-Version 4.6.2 (no changes needed)
  * Clean Recommends
  * Bump copyright years
  * Add upstream metadata

  [ Debian Janitor ]
  * Move package to QA team

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 22 Aug 2023 14:14:44 +0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: emacs-jedi
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-auto-complete,
@@ -14,7 +13,7 @@
                python3-jedi,
                python3-sexpdata,
                virtualenv
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/tkf/emacs-jedi
@@ -30,7 +29,7 @@
          python3-jedi,
          python3-sexpdata,
          virtualenv
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: common code of jedi.el and company-jedi.el
  The package provides a Python auto-completion package for Emacs. It
@@ -44,7 +43,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Python auto-completion for Emacs
  The package provides a Python auto-completion package for Emacs. It

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_test:
	@echo skipping upstream auto_test

override_dh_auto_install:
	@echo skipping upstream auto_install

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install
